Create a PriceCopy Pagepost https://api-dev.gettrx.com/payments/v1/pricesBody ParamstypestringenumrequiredString representing the price type. The available options are: one_time : applies to prices that will only be charged once recurring : applies to prices that have a recurring frequency and can be added as a subscriptionone_timerecurringAllowed:one_timerecurringpricingModelstringenumrequiredPricing Models available: fixed_amount : This model requires a fixed price amount customer_chooses : This model allows custom amounts to be entered either by the merchant or customer during checkout flows, subscription/invoice creationfixed_amountcustomer_choosesAllowed:fixed_amountcustomer_choosescurrencystringenumThree-letter ISO currency code, in lowercase. Must be a supported currency. Currently only currency supported is usdusdAllowed:usdamountfloatAmount to be paid per billing unit as set on the billingScheme property . Only applicable when pricingModel = "fixed_amount"customerChoosesSettingsobjectThis is an object that determines defaults and limits for the custom amount that can be entered by the customer or merchant during checkout flows, and invoice/subscription creation flows. Only applicable when pricingModel = "customer_chooses"customerChoosesSettings objectrecurringobjectThis is an object that determines the frequency for the payments. Only applies when the price type = "recurring".recurring objectproductstringId of product that you want to link the price to.newProductobjectUse this object if you want to create a NEW product while creating a NEW price. The product will automatically be associated with the price after creation.newProduct objectactivebooleanWhether or not the price is active and should be displayed. Defaults to true when created.truefalseHeadersidempotencyKeystringA unique identifier to ensure the same operation isn't processed multiple times, preventing duplicate transactions.onBehalfOfstringSpecifies the account for which creating a price is intended. This is used for scenarios where one partner creates price on behalf of another partner, such as in PayFac or related partner relationshipsResponses 201201 400400Updated about 1 month ago